%define module	Text-Glob
%define name	perl-%{module}
%define version 0.06
%define release 4mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Match globbing patterns against text
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/R/RC/RCLAMP/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Text::Glob implements glob(3) style matching that can be used to match against
text, rather than fetching names from a filesystem. If you want to do full file
globbing use the File::Glob module instead.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make test

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Text
%{_mandir}/*/*

%changelog
* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-4mdk 
- better url
- spec cleanup
- make test in %%check
- don't ship useless empty directories

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.06-3mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.06-2mdk 
- rpmbuildupdate aware
- fix summary capitalization

* Tue Mar 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.06-1mdk
- first mdk release
